package de.fish.tabacha;
/** Eine AbstractAttribute eines Dings.
   Ein Thing kann eine Liste von Eigenschaften haben.
   Die AbstractAttribute kann nur ueber den Konstruktor
   gesetzt werden. Sie kann danach nur gelesen und nicht
   nachtraeglich veraendert werden.
   Bsp.: Haarfarbe, Linkshaender/Rechtshaender, essbar, Kalorien

 <P>
  $Id: AbstractAttribute.java,v 1.1 2002/02/09 22:28:15 sva00-michael Exp $
  @author $Author: sva00-michael $
  @version $Revision: 1.1 $
*/

public abstract class AbstractAttribute
{ 
  /** Der Name der AbstractAttribute gibt an, um welche
      AbstractAttribute es sich handelt */
  public static final String NAME = "AbstractAttribute";

  public abstract String getName();

  public abstract String toString();

}
