package de.fish.tabacha;

/** I think we do not need classes for senses.
 * Is the sense not the key for a surrounding?
 * The logic is placed in the specific surrounding of a sense.
 * There only has to be a key for which sense matches to which
 * surrounding.
*/
public abstract class AbstractSense
{

  /* Konstruktor */
  public AbstractSense() {
  }

  /**
   * gives back the Key for the sense.
   * It is required that every sense has a unique key.
   * @return
   */
  public abstract String getKey() ;
}

