package de.fish.tabacha;
import de.fish.tabacha.Animatable;

import java.util.Vector;
import java.util.Hashtable;

/** steckt hinter einem agierenden Charakter (oder Nsc).
    Implementiert einen Algorithmus, der einem Thing sagt,
    was es tun soll,
    d.h. startet initiale Ereignisse.
    Kann auch private Aktionen eines Dings ausfuehren.
    Stelle bei Spielercharakteren die Verbindung zwischen Thing und TabachaDatagramClient dar.

    XXX gleich dem Vertreter?? oder wie mit ihm verbunden

    Ein Objekt dieser Klasse tut nichts. Sinnvolle Seelen
    sind hiervon abgeleitet.

    <P> $Id: AbstractSoul.java,v 1.1 2002/02/09 22:28:15 sva00-michael Exp $
    @author $Author: sva00-michael $
    @version $Revision: 1.1 $
*/
public abstract  class AbstractSoul
{

  /** der Konstruktor.
      XXX Dieser Konstruktor setzt voraus, dass es
      zu einer AbstractSoul einen (nur einen) Koerper gibt.
      XXX Diskussionswuerdig!!
      Der "Koerper" einer AbstractSoul ist das Thing, das ihr
      zugeordnet ist (ihre Repraesentation in der Welt).
  */

  public AbstractSoul(Animatable koerper) {
  }
  /** empfaengt vom Koerper alle moeglichen Aktionen,
      sowohl die oeffentlichen als auch die privaten.
      Sie koennen ausgefuehrt werden durch Aufrufen der
      Methode fuehreAktionAus (im Koerper).
  */
  public abstract void empfangeAktionen(Vector alleAktionen);

  public abstract void kill();
  public abstract Hashtable getActions();
}
