package de.fish.tabacha;

import java.util.Hashtable;

/** Things which may have senses implement
 *  Sensing.
 *
 */
public interface Sensing
{
  /** set Senses
     *
     * @param sens senses
     */
  public void setSenses(Hashtable sens);

  /** set Sense
     * @param sen a sense
   * @param key key in hashtable
     */
  public void addSense(AbstractSense sen, Object key);
  /** get all senses
    */

  public Hashtable getSenses();

  /** get specific sense
   * @param key key
    */
  public AbstractSense getSense(Object key);
}
