package de.fish.tabacha.test;

import de.fish.tabacha.attributes.Weight;


/** Test der de.fish.tabacha.attributes.Weight Klasse.
    <P> $Id: TestGewicht.java,v 1.1 2002/02/26 23:38:58 sva00-michael Exp $
    @author ?
    @author $Author: sva00-michael $
    @version $Revision: 1.1 $
    @see de.fish.tabacha.attributes.Weight
    @see de.fish.tabacha.Test
 */
public class TestGewicht extends Test {

    /** Der eigentliche Test */    
    public void runTest() {
	
	out.println("de.fish.tabacha.attributes.Weight() test!");
	Weight	geins=new Weight();
	out.println("getGewichtVonKiloGramm() test!");
	Weight	gzwei=new Weight().getGewichtVonKiloGramm(1);
	Weight gdrei;
	out.println("getInGramm() test!");
	teste("geins.getInGramm()==0              ",geins.getInGramm()==0   );
	teste("gzwei.getInGramm()==1000           ",gzwei.getInGramm()==1000);
	out.println("summe() test!");
	gdrei=gzwei.summe(gzwei);
	out.println("getInKiloGramm() test!");
	teste("gzwei.getInKiloGramm()==1          ",gzwei.getInKiloGramm()==1);
	out.println("getInPfund() test!");
	teste("gzwei.getInPfund()==2              ",gzwei.getInPfund()==2);
	teste("gdrei.getInKiloGramm()==2          ",gdrei.getInKiloGramm()==2);
	out.println("getGewichtVonSteine() test!");
	gzwei=new Weight().getGewichtVonSteine(1);
	teste("gzwei.getInSteinen()==1            ",gzwei.getInSteinen()==1);
	out.println("getInSteinen() test!");
	teste("gzwei.getInGramm()==85             ",gzwei.getInGramm()==85);
	out.println("produkt() test!");
	gzwei=gzwei.produkt(2);
	teste("gzwei.getInSteinen()==2            ",gzwei.getInSteinen()==2);
	out.println("getGewichtVonGramm() test!");
	gzwei=gzwei.getGewichtVonGramm(2000);
	out.println(" equals() test!");
	teste("gzwei.equals(gdrei)                ",gzwei.equals(gdrei));
	teste("!geins.equals(gdrei)                ",!geins.equals(gdrei));
	geins=geins.getGewichtVonPfund(4);
	gdrei=geins.getGewichtVonKiloGramm(2);

	out.println("getGewichtVonPfund() test!");
	teste("geins.equals(gdrei)                        ",geins.equals(gdrei));
	gzwei=gzwei.getGewichtVonPfund(1);
	out.println("differenz() test!");
	gdrei=geins.differenz(gzwei);
	teste("gdrei.getInPfund()==3",gdrei.getInPfund()==3);
	out.println("XXX Was noch fehlt:");
	out.println("XXX getGewichtAlsString() test! ");
    }

}







