package de.fish.tabacha;

import java.util.Hashtable;

/** Things which have surroundings implement
 *  Surroundable.
 *
 */
public interface Surroundable
{

  /**
   * get all attributes
   */
  public Hashtable getSurroundings();

  /**
   * get attribute with key
   */
  public AbstractSurrounding getSurrounding(Object key);
  /**
   * add one attribute
   * @param att the attribute
   */
  public void addSurrounding(AbstractSurrounding sur, Object key);

  /**
   * set all attributes
   * @param atts vector of AbstractAttributes
   */

  public void setAttributes(Hashtable atts);

}
