package de.fish.tabacha.aktionen;

import de.fish.tabacha.AbstractAction;


/** Eine AbstractAction die ein betretbares Thing haben sollte.


        <P> $Id: BetreteMich.java,v 1.2 2002/02/12 23:09:50 sva00-michael Exp $
	@author ?
        @author $Author: sva00-michael $
        @version $Revision: 1.2 $
*/
public abstract class BetreteMich extends AbstractAction
{


    /** Wird aufgerufen, wenn eine Beseelte Sache auf dem Feld mit dem Thing geht.
	z.B. fuer ein BeamDing
	@param  betretendesDing Das betredende Thing.
	@see de.fish.tabacha.dinge.BeamDing
    */
    protected abstract void betreteDing(Ding betretendesDing);
    

    /** Gibt zurueck ob man das Feld auf dem dieses Thing liegt betreten kann.
	@return true wenn diese Thing kein Problem damit hat.
    */
    protected abstract boolean isBetretbar();

}
