package de.fish.tabacha.appearances;

import de.fish.tabacha.Gestalt;


/** Ist die AbstractAppearance die in einer Schachbrett2dSichtumgenbung umherlaeuft
    <P> $Id: Schachbrett2dSichtgestalt.java,v 1.2 2002/02/12 23:09:50 sva00-michael Exp $
    @author ?
    @author $Author: sva00-michael $
    @version $Revision: 1.2 $
*/
public abstract class Schachbrett2dSichtgestalt extends Gestalt
{
    
    /** Gibt zurueck, ob man  hindurch sehen kann.
	@return TRUE wenn Durchsichtig.
    */
    public abstract boolean isDurchsichtig();
    
    /** Gibt eine Bildnummer zurueck.
	@return eine Nummer >0 oder 0 wenn durchsichtig.
    */
    public abstract long getBildnummer();
    
    /** gibt die Kurzbeschreibung zurueck.
	@return ein oder zwei Worte, die das Bild beschreibt*/
    public abstract String getKurzBeschreibung();               

}
