package de.fish.tabacha.server;

import java.io.File;
import java.io.IOException;

/**
 * ServerCommandsOut
 *
 * Created: Jul 24, 2001 1:43:55 PM
 *
 * @author Holger <Holger@tabacha.de>
 * @version $Revision: 1.2 $
 */
public class ServerCommandsOut {
	// Constants -----------------------------------------------------
    static final char CH_MAP =      'M';
	static final char CH_INVENTORY ='Y';
	static final char CH_TEXT = 	'X';
	static final char CH_REQUEST = 	'Q';




	// Attributes ----------------------------------------------------

	// Static --------------------------------------------------------
	/**
	 * send part of map, which is visible for the user
	 * 1.Byte: xSize of map
	 * 2.Byte: ySize of map
	 * 3.-last Byte: pictures (int)
	 */
	public static String map(MapTile tile)
	  {
		String retString = new String(String.valueOf(CH_MAP));
		retString= retString.concat(Integer.toString(tile.getXSize()));
		retString=retString.concat(new String(","));
		retString=retString.concat(Integer.toString(tile.getYSize()));
		retString=retString.concat(",");
        for (int ix=0;ix<tile.getXSize();ix++) {
		for (int iy=0;iy<tile.getYSize();iy++)
		{
			retString=retString.concat(Integer.toString(tile.getInt(ix,iy)));
			retString=retString.concat(",");
		}
		}
		  retString=retString.substring(0,retString.length()-1);
		   return (retString);
	  }


  	// Constructors --------------------------------------------------
		
	// Public --------------------------------------------------------
	public static void main(String[] args) throws IOException{
         // Welcome to the main-method
         System.out.println(map(new MapTile(4,4)));

		File file = new File("/localhome/holger/tabacha/map/8.map");
    	System.out.println(map(new MapTile(file)));
     }

	// Z implementation ----------------------------------------------

	// Y overrides ---------------------------------------------------

	// Package protected ---------------------------------------------

	// Protected -----------------------------------------------------

	// Private -------------------------------------------------------

	// Inner classes -------------------------------------------------

} // ServerCommandsOut

/*
 * Local variables:
 *  compile-command: "ant -emacs -find"
 * End:
 */
