package de.fish.tabacha.test;

import java.io.File;


/** Some static methods for handling filenames.
   <br> $Id: FilenameHelper.java,v 1.1 2002/07/22 14:27:46 sva00-michael Exp $
   @author michael@tabacha.de
   @author $Author: sva00-michael $
   @version $Revision: 1.1 $
*/
public class FilenameHelper
{

    /** Returns the filename without the suffix.
     */
    public static String cutSuffix(String filename)
    { return filename.substring(0, filename.lastIndexOf(".")); }

    /** Converts the image file name to the number.
     */
    static int retrieveNumber(String filename)
    { return Integer.parseInt(cutSuffix(new File(filename).getName())); }

}
