package de.fish.tools;

import java.awt.*;
import javax.swing.*;
import java.awt.Component;


/**
	<br>$Id: DoublebufferedPanel.java,v 1.4 2002/07/22 14:27:05 sva00-michael Exp $
	@author Sasa
	@author $Author: sva00-michael $
	@version $Revision: 1.4 $
*/
public class DoublebufferedPanel extends JPanel{
	// Properties
	Image hidden;
	
	boolean initialized;
	
	// Constructors
	public DoublebufferedPanel( int width, int height ){
		initialized=false;
		//setup();
		setPreferredSize( new Dimension( width, height ) );
		setBackground(Color.yellow);
	}
	
	// Methods
	protected void setup(){
	Rectangle r=getBounds();
		
		if (!initialized){
			hidden=createImage( r.width, r.height );
			
			initialized=true;
		}
	}
	
	public void paint( Graphics g ){

		//super.paint(g);

		setup();
		update( g );
	}
	
	public void update( Graphics g ){
		g.drawImage( hidden, 0, 0, null );
		
		// draw some other things here if needed
	}
	
    public Graphics getHiddenGraphics()
    {
	if (hidden == null)
	    setup();
	return hidden.getGraphics();
    }

} /* DoublebufferedPanel */
